Package com.enonic.xp.web.filter

## Class OncePerRequestFilter

- java.lang.Object
- - com.enonic.xp.web.filter.BaseWebFilter
  - - com.enonic.xp.web.filter.OncePerRequestFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`

      @PublicApi
      public abstract class OncePerRequestFilter
      extends BaseWebFilter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncePerRequestFilter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doFilter​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, javax.servlet.FilterChain chain)` |
    `protected abstract void` | `doHandle​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, javax.servlet.FilterChain chain)` |

    - ### Methods inherited from class com.enonic.xp.web.filter.BaseWebFilter

      `destroy, doFilter, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OncePerRequestFilter

          public OncePerRequestFilter()

  - ### Method Detail

    - #### doFilter

          public final void doFilter​(javax.servlet.http.HttpServletRequest req,
                                     javax.servlet.http.HttpServletResponse res,
                                     javax.servlet.FilterChain chain)
                              throws Exception

      Specified by:
        `doFilter` in class `BaseWebFilter`
      Throws:
        `Exception`

    - #### doHandle

          protected abstract void doHandle​(javax.servlet.http.HttpServletRequest req,
                                           javax.servlet.http.HttpServletResponse res,
                                           javax.servlet.FilterChain chain)
                                    throws Exception

      Throws:
        `Exception`